Subject: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Apr 2022 20:46:21 +0300

> From: Howard Melman <[email-masked]>
> Date: Sat, 23 Apr 2022 13:22:45 -0400
> Cc: [email-masked]
> 
> > NEWS describes what we think is the correct setup for Emoji.  I'm
> > still not convinced that telling users to customize the font for
> > 'symbol' is a good idea, especially since we prefer symbols and
> > punctuation to be displayed by the default font as much as possible.
> 
> I'm still not clear on this.  With the set-fontset-font calls I describe I
> see punctuation (; . ! etc) in Menlo (the font I put in the default and
> fixed-pitch faces).  I assume this is because use-default-font-for-symbols
> is t which is the default.  So at least on my system this preference works
> out just as desired.

Yes, but the problematic cases is when the symbols/punctuation
coverage of the default font and of the font set up for the Symbols
and punctuation blocks overlap, and overlap significantly.

> > As for mentioning the fonts for which we set up by default -- there
> > are others in the default fontset, and I don't see why those two are
> > to be treated specially.  OTOH, mentioning all of them would be too
> > much, because there are many, and they differ by platforms.  We should
> > instead strive to make the default setup work seamlessly for everyone,
> > IMO.
> 
> Agreed, but the mac platform is confounded because you can't
> mention or pre-configure the default font to be used in this case, 
> which is fine.  So all I'm asking for is some documentation someplace
> that would lead a mac user to the correct incantation or some description
> of the possible limitations encountered.  In the absence of "easier, 
> more self-explanatory, customization means and options" this seems
> like the most reasonable stopgap.

We did that in NEWS, didn't we?

I'd prefer to see whether this is a problem for enough users for us to
do something else about it except answering questions.  If it turns
out we do need that, my first thought would be to encourage people to
use describe-fontset to see what they have, and take it from there.